package org.dromara.knowledge.config;

import org.springframework.boot.context.properties.ConfigurationProperties;

@ConfigurationProperties(prefix = "rag")
public class RagConfigProperties {
    private boolean enabled = true;
    private String defaultEmbeddingModel = "text-embedding";
    private String defaultVectorBackend = "db";

    public boolean isEnabled() {
        return enabled;
    }

    public void setEnabled(boolean enabled) {
        this.enabled = enabled;
    }

    public String getDefaultEmbeddingModel() {
        return defaultEmbeddingModel;
    }

    public void setDefaultEmbeddingModel(String defaultEmbeddingModel) {
        this.defaultEmbeddingModel = defaultEmbeddingModel;
    }

    public String getDefaultVectorBackend() {
        return defaultVectorBackend;
    }

    public void setDefaultVectorBackend(String defaultVectorBackend) {
        this.defaultVectorBackend = defaultVectorBackend;
    }
}

